Create delivery incident
curl --request POST \
--url https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"raiseIncident": true,
"incidentNotes": "<string>",
"incidentType": "COURIER_NOTES",
"incidentFileUrl": "<string>",
"incidentFileUrls": [
"<string>"
],
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}
'import requests
url = "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident"
payload = {
"raiseIncident": True,
"incidentNotes": "<string>",
"incidentType": "COURIER_NOTES",
"incidentFileUrl": "<string>",
"incidentFileUrls": ["<string>"],
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
raiseIncident: true,
incidentNotes: '<string>',
incidentType: 'COURIER_NOTES',
incidentFileUrl: '<string>',
incidentFileUrls: ['<string>'],
requestAmountDeliveryFeeCents: 123,
requestAmountOrderValueCents: 123,
requestAmountTipCents: 123
})
};
fetch('https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'raiseIncident' => true,
'incidentNotes' => '<string>',
'incidentType' => 'COURIER_NOTES',
'incidentFileUrl' => '<string>',
'incidentFileUrls' => [
'<string>'
],
'requestAmountDeliveryFeeCents' => 123,
'requestAmountOrderValueCents' => 123,
'requestAmountTipCents' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident"
payload := strings.NewReader("{\n \"raiseIncident\": true,\n \"incidentNotes\": \"<string>\",\n \"incidentType\": \"COURIER_NOTES\",\n \"incidentFileUrl\": \"<string>\",\n \"incidentFileUrls\": [\n \"<string>\"\n ],\n \"requestAmountDeliveryFeeCents\": 123,\n \"requestAmountOrderValueCents\": 123,\n \"requestAmountTipCents\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"raiseIncident\": true,\n \"incidentNotes\": \"<string>\",\n \"incidentType\": \"COURIER_NOTES\",\n \"incidentFileUrl\": \"<string>\",\n \"incidentFileUrls\": [\n \"<string>\"\n ],\n \"requestAmountDeliveryFeeCents\": 123,\n \"requestAmountOrderValueCents\": 123,\n \"requestAmountTipCents\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"raiseIncident\": true,\n \"incidentNotes\": \"<string>\",\n \"incidentType\": \"COURIER_NOTES\",\n \"incidentFileUrl\": \"<string>\",\n \"incidentFileUrls\": [\n \"<string>\"\n ],\n \"requestAmountDeliveryFeeCents\": 123,\n \"requestAmountOrderValueCents\": 123,\n \"requestAmountTipCents\": 123\n}"
response = http.request(request)
puts response.read_body{
"jobId": "<string>",
"taskId": "<string>",
"raiseIncident": true,
"incidentNotes": "<string>",
"incidentType": "<string>",
"incidentSubtype": "<string>",
"incidentFileUrl": "<string>",
"incidentFileUrls": [
"<string>"
],
"refundRequestId": "<string>",
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Create Delivery Incident
Create a new delivery incident for a task
POST
/
v1
/
jobs
/
{jobId}
/
tasks
/
{taskId}
/
delivery_incident
Create delivery incident
curl --request POST \
--url https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"raiseIncident": true,
"incidentNotes": "<string>",
"incidentType": "COURIER_NOTES",
"incidentFileUrl": "<string>",
"incidentFileUrls": [
"<string>"
],
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}
'import requests
url = "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident"
payload = {
"raiseIncident": True,
"incidentNotes": "<string>",
"incidentType": "COURIER_NOTES",
"incidentFileUrl": "<string>",
"incidentFileUrls": ["<string>"],
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
raiseIncident: true,
incidentNotes: '<string>',
incidentType: 'COURIER_NOTES',
incidentFileUrl: '<string>',
incidentFileUrls: ['<string>'],
requestAmountDeliveryFeeCents: 123,
requestAmountOrderValueCents: 123,
requestAmountTipCents: 123
})
};
fetch('https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'raiseIncident' => true,
'incidentNotes' => '<string>',
'incidentType' => 'COURIER_NOTES',
'incidentFileUrl' => '<string>',
'incidentFileUrls' => [
'<string>'
],
'requestAmountDeliveryFeeCents' => 123,
'requestAmountOrderValueCents' => 123,
'requestAmountTipCents' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident"
payload := strings.NewReader("{\n \"raiseIncident\": true,\n \"incidentNotes\": \"<string>\",\n \"incidentType\": \"COURIER_NOTES\",\n \"incidentFileUrl\": \"<string>\",\n \"incidentFileUrls\": [\n \"<string>\"\n ],\n \"requestAmountDeliveryFeeCents\": 123,\n \"requestAmountOrderValueCents\": 123,\n \"requestAmountTipCents\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"raiseIncident\": true,\n \"incidentNotes\": \"<string>\",\n \"incidentType\": \"COURIER_NOTES\",\n \"incidentFileUrl\": \"<string>\",\n \"incidentFileUrls\": [\n \"<string>\"\n ],\n \"requestAmountDeliveryFeeCents\": 123,\n \"requestAmountOrderValueCents\": 123,\n \"requestAmountTipCents\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/jobs/{jobId}/tasks/{taskId}/delivery_incident")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"raiseIncident\": true,\n \"incidentNotes\": \"<string>\",\n \"incidentType\": \"COURIER_NOTES\",\n \"incidentFileUrl\": \"<string>\",\n \"incidentFileUrls\": [\n \"<string>\"\n ],\n \"requestAmountDeliveryFeeCents\": 123,\n \"requestAmountOrderValueCents\": 123,\n \"requestAmountTipCents\": 123\n}"
response = http.request(request)
puts response.read_body{
"jobId": "<string>",
"taskId": "<string>",
"raiseIncident": true,
"incidentNotes": "<string>",
"incidentType": "<string>",
"incidentSubtype": "<string>",
"incidentFileUrl": "<string>",
"incidentFileUrls": [
"<string>"
],
"refundRequestId": "<string>",
"requestAmountDeliveryFeeCents": 123,
"requestAmountOrderValueCents": 123,
"requestAmountTipCents": 123
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Was this page helpful?